<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%@ page import="com.liferay.document.library.configuration.DLConfiguration" %><%@
page import="com.liferay.portal.kernel.dao.orm.QueryUtil" %><%@
page import="com.liferay.portal.kernel.module.configuration.ConfigurationProviderUtil" %><%@
page import="com.liferay.portal.kernel.search.QueryConfig" %><%@
page import="com.liferay.portal.kernel.servlet.HttpHeaders" %><%@
page import="com.liferay.portal.kernel.util.TempFileEntryUtil" %><%@
page import="com.liferay.wiki.configuration.WikiGroupServiceConfiguration" %><%@
page import="com.liferay.wiki.configuration.WikiGroupServiceOverriddenConfiguration" %><%@
page import="com.liferay.wiki.display.context.WikiListPagesDisplayContext" %><%@
page import="com.liferay.wiki.display.context.WikiNodeInfoPanelDisplayContext" %><%@
page import="com.liferay.wiki.display.context.WikiPageInfoPanelDisplayContext" %><%@
page import="com.liferay.wiki.engine.WikiEngineRenderer" %><%@
page import="com.liferay.wiki.exception.DuplicateNodeNameException" %><%@
page import="com.liferay.wiki.exception.DuplicatePageException" %><%@
page import="com.liferay.wiki.exception.ImportFilesException" %><%@
page import="com.liferay.wiki.exception.NoSuchNodeException" %><%@
page import="com.liferay.wiki.exception.NoSuchPageException" %><%@
page import="com.liferay.wiki.exception.NodeNameException" %><%@
page import="com.liferay.wiki.exception.PageContentException" %><%@
page import="com.liferay.wiki.exception.PageTitleException" %><%@
page import="com.liferay.wiki.exception.PageVersionException" %><%@
page import="com.liferay.wiki.exception.RequiredNodeException" %><%@
page import="com.liferay.wiki.exception.WikiFormatException" %><%@
page import="com.liferay.wiki.social.WikiActivityKeys" %><%@
page import="com.liferay.wiki.util.comparator.PageVersionComparator" %><%@
page import="com.liferay.wiki.validator.WikiPageTitleValidator" %><%@
page import="com.liferay.wiki.web.internal.configuration.WikiPortletInstanceConfiguration" %><%@
page import="com.liferay.wiki.web.internal.display.context.WikiDisplayContextProvider" %><%@
page import="com.liferay.wiki.web.internal.display.context.logic.MailTemplatesHelper" %><%@
page import="com.liferay.wiki.web.internal.display.context.logic.WikiPortletInstanceSettingsHelper" %><%@
page import="com.liferay.wiki.web.internal.display.context.logic.WikiVisualizationHelper" %><%@
page import="com.liferay.wiki.web.internal.display.context.util.WikiRequestHelper" %><%@
page import="com.liferay.wiki.web.internal.display.context.util.WikiSocialActivityHelper" %><%@
page import="com.liferay.wiki.web.internal.display.context.util.WikiURLHelper" %><%@
page import="com.liferay.wiki.web.internal.importer.MediaWikiImporter" %><%@
page import="com.liferay.wiki.web.internal.importer.WikiImporterTracker" %><%@
page import="com.liferay.wiki.web.internal.security.permission.resource.WikiNodePermission" %><%@
page import="com.liferay.wiki.web.internal.security.permission.resource.WikiPagePermission" %><%@
page import="com.liferay.wiki.web.internal.util.WikiPageAttachmentsUtil" %><%@
page import="com.liferay.wiki.web.internal.util.WikiUtil" %><%@
page import="com.liferay.wiki.web.internal.util.WikiWebComponentProvider" %>

<%@ page import="java.util.Objects" %>

<%
AssetHelper assetHelper = (AssetHelper)request.getAttribute(AssetWebKeys.ASSET_HELPER);

WikiRequestHelper wikiRequestHelper = new WikiRequestHelper(request);

WikiGroupServiceOverriddenConfiguration wikiGroupServiceOverriddenConfiguration = wikiRequestHelper.getWikiGroupServiceOverriddenConfiguration();

WikiPortletInstanceSettingsHelper wikiPortletInstanceSettingsHelper = new WikiPortletInstanceSettingsHelper(wikiRequestHelper);

WikiWebComponentProvider wikiWebComponentProvider = WikiWebComponentProvider.getWikiWebComponentProvider();

WikiDisplayContextProvider wikiDisplayContextProvider = wikiWebComponentProvider.getWikiDisplayContextProvider();

WikiGroupServiceConfiguration wikiGroupServiceConfiguration = wikiWebComponentProvider.getWikiGroupServiceConfiguration();

Format dateFormatDateTime = FastDateFormatFactoryUtil.getDateTime(locale, timeZone);
%>

<%@ include file="/wiki/init-ext.jsp" %>